Bug 437611 - openvrml-xembed segfaults when trying to view .wrl files
openvrml-xembed segfaults when trying to view .wrl files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openvrml (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Braden McDaniel
Fedora Extras Quality Assurance
http://cic.nist.gov/vrml/vbdetect.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 05:00 EDT by Markku Kolkka
Modified: 2008-04-04 10:30 EDT (History)
0 users

See Also:
Fixed In Version: 0.17.5-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markku Kolkka 2008-03-15 05:00:44 EDT
Description of problem:
Web sites with embedded VRML content show only grey background, the stand-alone
openvrml-player just exits immediately without messages when trying to open a
.wrl file. The system log shows messages of openvrml-xembed segfaulting.

Version-Release number of selected component (if applicable):
0.17.5-2.fc8

How reproducible:
always

Steps to Reproduce:
1. Install openvrml-mozilla-plugin-0.17.5-2.fc8
2. Open http://cic.nist.gov/vrml/vbdetect.html in Firefox
  
Actual results:
The plugin is detected, but a grey square is displayed where the VRML model
should be displayed. The following is in the system log:
Mar 15 10:44:52 nightshade kernel: openvrml-xembed[3360]: segfault at 0 rip 0
rsp 7ffff0e4fae8 error 14

Expected results:
The VRML model is displayed.

Additional info:
Hardware spec:
http://smolt.fedoraproject.org/show?uuid=pub_b6451a8c-fbe5-48d9-a445-cb84f73a46ad
Comment 1 Braden McDaniel 2008-03-15 13:34:47 EDT
I'm running the same version on x86_64 Fedora 8 here, and it doesn't segfault.
I'm really going to need a stack trace in order to get a clue what's going on here.

Do you get a core file if you set

  $ ulimit -c unlimited

before running openvrml-player? If so, please load the core file into gdb

  $ gdb --core=core.<pid> /usr/libexec/openvrml-xembed

... and at the gdb prompt:

  (gdb) bt
Comment 2 Markku Kolkka 2008-03-17 06:01:23 EDT
Core was generated by `/usr/libexec/openvrml-xembed 50331672'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00002aaaaaad38b5 in openvrml::gl::viewer::resize (this=0x6af2d0,
    width=2, height=2) at libopenvrml-gl/openvrml/gl/viewer.cpp:3988
#2  0x0000000000412943 in gtk_vrml_browser_new ()
    at openvrml-xembed/gtkvrmlbrowser.cpp:246
#3  0x000000000040a91e in main (argc=1, argv=0x7fffd87dca28)
    at openvrml-xembed/main.cpp:510
#4  0x00000031c3a1e074 in __libc_start_main (main=0x40a600 <main>, argc=2,
    ubp_av=0x7fffd87dca28, init=<value optimized out>,
    fini=<value optimized out>, rtld_fini=<value optimized out>,
    stack_end=0x7fffd87dca18) at libc-start.c:220
#5  0x00000000004091b9 in _start ()
(gdb)
Comment 3 Braden McDaniel 2008-03-17 19:00:42 EDT
Thank you. I think I may have some idea what's going on here. But, clearly, my
system is not a very good one to test this on.

I'd ask you to compile the upstream sources and test a patch; however, compiling
OpenVRML on an x86_64 system with < 3GB of RAM is going to be ... painful.

So I'm kind of flying blind, here... but I should have an RPM for you to test soon.
Comment 4 Braden McDaniel 2008-03-21 14:45:10 EDT
openvrml-0.17.5-3.fc8 has been pushed to "testing". It includes a potential fix for this problem. Please 
try it and let me know whether the problem has actually been fixed.

Comment 5 Fedora Update System 2008-03-21 18:05:16 EDT
openvrml-0.17.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openvrml'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2568
Comment 6 Markku Kolkka 2008-04-04 09:39:28 EDT
The bug appears to be fixed in openvrml-0.17.5-3.fc8

Note You need to log in before you can comment on or make changes to this bug.